This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1294170 - wrong applying patche distribution type
wrong applying patche distribution type
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dawn Eisner
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-25 03:27 EST by ksuzumur
Modified: 2016-10-14 10:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ksuzumur 2015-12-25 03:27:16 EST
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.2/html/Installation_Guide/Applying_Patches_in_Red_Hat_JBoss_BPM_Suite_6.2.html

Section Number and Name: 
9.2. Applying Patches in Red Hat JBoss BPM Suite 6.2


Describe the issue: 
BPMS's apply-updates.sh command does not have "apply-updates.sh".


Suggestions for improvement: 
wrong)
brms-engine 

correct)
bpmsuite-engine


Additional information: 
apply-updates.sh -help command lists "bpmsuite-engine".

result
---
jboss-bpmsuite-6.1.4-patch]./apply-updates.sh -help
Using Java binary found at /usr/java/jdk1.7.0_79//bin/java
17:24:36.479 [main] ERROR - Incorrect arguments specified! The program expects two mandatory parameters: <path-to-distribution> and <type-of-distribution>!

Usage: apply-updates.[sh|bat] <path-to-distribution-root> <type-of-distribution>
Description: JBoss BRMS/BPM Suite client patching tool used to apply updates to existing installations.

IMPORTANT: Do not apply the updates to running applications. Shutdown the server first.

Supported distribution types:
	 - eap6.x
	 - eap6.x-bc
	 - eap6.x-dashbuilder
	 - eap6.x-kie-server
	 - generic
	 - generic-bc
	 - generic-dashbuilder
	 - generic-kie-server
	 - was8
	 - was8-bc
	 - was8-dashbuilder
	 - was8-kie-server
	 - wls12c
	 - wls12c-bc
	 - wls12c-dashbuilder
	 - wls12c-kie-server
	 - bpmsuite-engine
	 - planner-engine
	 - supplementary-tools
---
Comment 2 ksuzumur 2015-12-25 03:37:22 EST
I made a mistake in the above "Describe the issue" comment.

This is correct:
----
Describe the issue: 
BPMS's apply-updates.sh command does not have "brms-engine" type.
----

Note You need to log in before you can comment on or make changes to this bug.